Subject: Re: CGit and repository list

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 12 Sep 2008 10:45:13 -0700

Jakub Narebski <[email-masked]> wrote:
> Dnia piątek 12. września 2008 18:05, Petr Baudis napisał:
> > On Fri, Sep 12, 2008 at 05:54:29PM +0200, Jakub Narebski wrote:
> >>
> >> P.S. Could you please gather some statistics to compare the period
> >> before and after installing "smart" HTTP server (and after smart
> >> clients became widespread).
> > 
> > What kind of statistics?
> 
> In short: check how "smart" HTTP protocol would improve things.

The real improvement is on the client side; how long does it take
to do a clone or a fetch with dumb HTTP vs. with smart HTTP.  The
latency is horrible for dumb HTTP if the repository is not packed,
or bad if it just repacked and you have to download everything again.

Knowing the transfer time of each request start-to-finish and the
total time for a "session" (e.g. a period of where that IP appears
actively requesting in the logs) would tell you how long a given
client needs to do a fetch or clone.

-- 
Shawn.